osl::container::PieceMask64 Class Reference

`#include <pieceMask64.h>`

Inheritance diagram for osl::container::PieceMask64:

## Public Member Functions

| PieceMask64 ()
| PieceMask64 (misc::Mask64 const &m)
const misc::Mask64 & | getMask (int) const
void | resetAll ()
void | setAll ()
PieceMask64 & | operator^= (const PieceMask64 &o)
PieceMask64 & | operator&= (const PieceMask64 &o)
PieceMask64 & | operator|= (const PieceMask64 &o)
PieceMask64 & | operator-= (const PieceMask64 &o)
PieceMask64 & | operator+= (const PieceMask64 &o)
bool | none () const
bool | hasMultipleBit () const
int | countBit2 () const
| bit の数を2まで数える
int | countBit () const
int | takeOneBit ()

## Static Public Member Functions

static int | numToIndex (int)
static int | numToOffset (int num)

## Protected Member Functions

misc::Mask64 & | mutableMask (int)

## Protected Attributes

Mask64 | mask

## Detailed Description

Definition at line 11 of file pieceMask64.h.

## Constructor & Destructor Documentation

## PieceMask64() [1/2]

osl::container::PieceMask64::PieceMask64 | ( |  | ) |

inline

Definition at line 18 of file pieceMask64.h.

References resetAll().

Referenced by operator&=(), operator+=(), operator-=(), operator^=(), and operator|=().

## PieceMask64() [2/2]

osl::container::PieceMask64::PieceMask64 | ( | misc::Mask64 const & | m | ) |

inline explicit

Definition at line 19 of file pieceMask64.h.

References mask.

## Member Function Documentation

## countBit()

int osl::container::PieceMask64::countBit | ( |  | ) | const

inline

Definition at line 78 of file pieceMask64.h.

References mask.

Referenced by osl::NumEffectState::countEffect(), osl::eval::ml::King25Effect::countEffectAndPieces(), osl::progress::Effect5x3WithBonus::countEffectPieces(), osl::eval::ml::King25Effect3::evalOne(), osl::eval::ml::King25EffectCountCombination::evalOne(), and osl::progress::ml::NewProgress::updateAttack5x5Pieces().

## countBit2()

int osl::container::PieceMask64::countBit2 | ( |  | ) | const

inline

bit の数を2まで数える

Returns
  0,1,2 (2の場合は2以上)

Definition at line 68 of file pieceMask64.h.

References mask, and none().

## getMask()

const misc::Mask64 & osl::container::PieceMask64::getMask | ( | int |  | ) | const

inline

Definition at line 23 of file pieceMask64.h.

References mask.

Referenced by osl::PieceMask::getMask().

## hasMultipleBit()

bool osl::container::PieceMask64::hasMultipleBit | ( |  | ) | const

inline

Definition at line 58 of file pieceMask64.h.

References mask, and none().

## mutableMask()

misc::Mask64 & osl::container::PieceMask64::mutableMask | ( | int |  | ) |

inline protected

Definition at line 21 of file pieceMask64.h.

References mask.

Referenced by osl::PieceMask::clearBit(), osl::PieceMask::mutableMaskNum(), osl::PieceMask::orMask(), osl::PieceMask::setBit(), osl::PieceMask::setMask(), and osl::PieceMask::xorMask().

## none()

bool osl::container::PieceMask64::none | ( |  | ) | const

inline

Definition at line 57 of file pieceMask64.h.

References mask.

Referenced by osl::eval::ml::PiecePairKing::add(), osl::eval::ml::PiecePairKing::addSub(), osl::PieceMask::any(), countBit2(), osl::checkmate::CheckmateIfCapture::effectiveAttackCandidate0(), osl::eval::ml::PromotedMinorPieces::eval(), osl::eval::ml::PiecePairKing::evalOne(), hasMultipleBit(), osl::eval::ml::PiecePairKing::sub(), and takeOneBit().

## numToIndex()

int osl::container::PieceMask64::numToIndex | ( | int |  | ) |

inline static

Definition at line 16 of file pieceMask64.h.

Referenced by osl::PieceMask::getMaskNum(), osl::PieceMask::mutableMaskNum(), and osl::NumEffectState::prologueCapture().

## numToOffset()

int osl::container::PieceMask64::numToOffset | ( | int | num | ) |

inline static

Definition at line 17 of file pieceMask64.h.

Referenced by osl::effect::NumBitmapEffect::countEffect(), osl::effect::NumBitmapEffect::makeLongMask(), and osl::PieceMask::numToMask().

## operator&=()

PieceMask64 & osl::container::PieceMask64::operator&= | ( | const PieceMask64 & | o | ) |

inline

Definition at line 37 of file pieceMask64.h.

References mask, and PieceMask64().

## operator+=()

PieceMask64 & osl::container::PieceMask64::operator+= | ( | const PieceMask64 & | o | ) |

inline

Definition at line 52 of file pieceMask64.h.

References mask, and PieceMask64().

## operator-=()

PieceMask64 & osl::container::PieceMask64::operator-= | ( | const PieceMask64 & | o | ) |

inline

Definition at line 47 of file pieceMask64.h.

References mask, and PieceMask64().

## operator^=()

PieceMask64 & osl::container::PieceMask64::operator^= | ( | const PieceMask64 & | o | ) |

inline

Definition at line 32 of file pieceMask64.h.

References mask, and PieceMask64().

## operator|=()

PieceMask64 & osl::container::PieceMask64::operator|= | ( | const PieceMask64 & | o | ) |

inline

Definition at line 42 of file pieceMask64.h.

References mask, and PieceMask64().

## resetAll()

void osl::container::PieceMask64::resetAll | ( |  | ) |

inline

Definition at line 24 of file pieceMask64.h.

References osl::misc::GeneralMask< unsigned long long >::makeDirect(), and mask.

Referenced by osl::effect::NumBitmapEffect::NumBitmapEffect(), and PieceMask64().

## setAll()

void osl::container::PieceMask64::setAll | ( |  | ) |

inline

Definition at line 28 of file pieceMask64.h.

References osl::misc::GeneralMask< unsigned long long >::makeDirect(), and mask.

Referenced by osl::effect_util::AdditionalEffect::hasEffect().

## takeOneBit()

int osl::container::PieceMask64::takeOneBit | ( |  | ) |

inline

Definition at line 82 of file pieceMask64.h.

References mask, and none().

Referenced by osl::eval::ml::PiecePairKing::add(), osl::eval::ml::MajorCheckWithCapture::addOne(), osl::eval::ml::PiecePairKing::addSub(), osl::checkmate::CheckmateIfCapture::effectiveAttackCandidate0(), osl::eval::ml::BishopRookFork::eval(), osl::eval::ml::KingPieceRelativeNoSupport::eval(), osl::eval::ml::NonPawnAttacked::eval(), osl::eval::ml::NonPawnAttackedPtype::eval(), osl::eval::ml::Pin::eval(), osl::eval::ml::RookPromoteDefense::eval(), osl::eval::ml::SimplePin::eval(), osl::eval::ml::King25Effect3::evalOne(), osl::eval::ml::KnightFork::evalOne(), osl::eval::ml::NonPawnAttackedPtypePair::evalOne(), osl::eval::ml::PiecePairKing::evalOne(), osl::eval::ml::PromotedMinorPieces::evalOne(), osl::eval::ml::KingPieceRelativeNoSupport::evalWithUpdate(), osl::eval::ml::NonPawnAttacked::evalWithUpdateBang(), osl::eval::ml::NonPawnAttackedPtype::evalWithUpdateBang(), osl::effect_util::AdditionalEffect::hasEffect(), osl::rating::PinAttack::index(), osl::move_probability::CoverFork::match(), osl::rating::PinAttack::match(), osl::eval::ml::PiecePairKing::sub(), osl::eval::ml::NonPawnAttackedPtype::updateChanged(), osl::eval::ml::NonPawnAttacked::updateEffectChanged(), osl::progress::ml::NewProgress::updateNonPawnAttackedPtypePairOne(), and osl::move_probability::StateInfo::updatePinnedGenerals().

## Member Data Documentation

## mask

Mask64 osl::container::PieceMask64::mask

protected

Definition at line 14 of file pieceMask64.h.

Referenced by osl::PieceMask::clearBit(), countBit(), countBit2(), osl::effect::NumBitmapEffect::countEffect(), getMask(), hasMultipleBit(), mutableMask(), none(), operator&=(), operator+=(), operator-=(), operator^=(), operator|=(), PieceMask64(), resetAll(), osl::PieceMask::selectBit(), setAll(), osl::PieceMask::setBit(), and takeOneBit().

The documentation for this class was generated from the following file:

- pieceMask64.h